Bug 1459604 - Failed assertion in NetworkManager when removing WWAN modem
Failed assertion in NetworkManager when removing WWAN modem
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Beniamino Galvani
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 10:44 EDT by Beniamino Galvani
Modified: 2017-08-01 05:30 EDT (History)
9 users (show)

See Also:
Fixed In Version: NetworkManager-1.8.0-7.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 05:30:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[PATCH] device: apply route metric penality only when the default route exists (1.42 KB, patch)
2017-06-09 04:49 EDT, Beniamino Galvani
no flags Details | Diff
[PATCH v2] device: apply route metric penality only when the default route exists (1.67 KB, patch)
2017-06-09 05:11 EDT, Beniamino Galvani
no flags Details | Diff

  None (edit)
Description Beniamino Galvani 2017-06-07 10:44:22 EDT
Description of problem:
NetworkManager crashes when removing WWAN modem

Version-Release number of selected component (if applicable):
NetworkManager-1.8.0-6.el7

How reproducible:
always

Steps to Reproduce:
1. Attach WWAN USB modem (0af0:7501 Option Globetrotter HSUPA Modem - icon 411 aka "Vodafone K3760")
2. Enable mobile broadband connection
3. Detach the modem from the USB port

Actual results:
NetworkManager:ERROR:src/devices/wwan/nm-modem.c:687:<unknown-fcn>: assertion failed: (<dropped>)
  #0  raise () from /lib64/libc.so.6
  #1  abort () from /lib64/libc.so.6
  #2  g_assertion_message (domain=domain@entry=0x7f168e543ae3 "NetworkManager", file=file@entry=0x7f168e5444ce "src/devices/wwan/nm-modem.c", line=line@entry=687,
      func=func@entry=0x7f168e543ad5 "<unknown-fcn>", message=message@entry=0x55d194064600 "assertion failed: (<dropped>)") at gtestutils.c:2432
  #3  g_assertion_message_expr (domain=domain@entry=0x7f168e543ae3 "NetworkManager", file=file@entry=0x7f168e5444ce "src/devices/wwan/nm-modem.c", line=line@entry=687,
      func=func@entry=0x7f168e543ad5 "<unknown-fcn>", expr=expr@entry=0x7f168e543acb "<dropped>") at gtestutils.c:2455
  #4  nm_modem_ip4_pre_commit (modem=<optimized out>, device=0x55d19404b4e0, config=<optimized out>) at src/devices/wwan/nm-modem.c:687
  #5  ip4_config_merge_and_apply (self=self@entry=0x55d19404b4e0, config=config@entry=0x0, commit=commit@entry=1) at src/devices/nm-device.c:5622
  #6  update_connectivity_state (self=0x55d19404b4e0, state=NM_CONNECTIVITY_NONE) at src/devices/nm-device.c:1779
  #7  nm_device_set_ip4_config (self=self@entry=0x55d19404b4e0, new_config=new_config@entry=0x55d193fd2e00, default_route_metric=default_route_metric@entry=700, commit=commit@entry=0,
      routes_full_sync=routes_full_sync@entry=0) at src/devices/nm-device.c:9804
  #8  ip4_config_merge_and_apply (self=self@entry=0x55d19404b4e0, config=config@entry=0x0, commit=commit@entry=0) at src/devices/nm-device.c:5629
  #9  update_ip4_config (self=self@entry=0x55d19404b4e0, initial=initial@entry=0) at src/devices/nm-device.c:10681
  #10 queued_ip4_config_change (user_data=user_data@entry=0x55d19404b4e0) at src/devices/nm-device.c:10803
  #11 g_idle_dispatch (source=0x55d194064510, callback=0x55d1931e8c70 <queued_ip4_config_change>, user_data=0x55d19404b4e0) at gmain.c:5543
  #12 g_main_dispatch (context=0x55d193ee3e60) at gmain.c:3201
  #13 g_main_context_dispatch (context=context@entry=0x55d193ee3e60) at gmain.c:3854
  #14 g_main_context_iterate (context=0x55d193ee3e60, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3927
  #15 g_main_loop_run (loop=0x55d193ee3f70) at gmain.c:4123
  #16 main (argc=1, argv=0x7fff7ef7b378) at src/main.c:435
Comment 2 Beniamino Galvani 2017-06-09 04:49 EDT
Created attachment 1286342 [details]
[PATCH] device: apply route metric penality only when the default route exists
Comment 3 Beniamino Galvani 2017-06-09 05:11 EDT
Created attachment 1286356 [details]
[PATCH v2] device: apply route metric penality only when the default route exists
Comment 4 Thomas Haller 2017-06-09 05:36:00 EDT
lgtm
Comment 5 Francesco Giudici 2017-06-09 06:37:42 EDT
lgtm
Comment 8 errata-xmlrpc 2017-08-01 05:30:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299

Note You need to log in before you can comment on or make changes to this bug.